/*
*     ___                       ____               __
*    / _ \___ _    _____ ____  /  _/__  ___  __ __/ /_
*   / ___/ _ \ |/|/ / -_) __/ _/ // _ \/ _ \/ // / __/
*  /_/   \___/__,__/\__/_/   /___/_//_/ .__/\_,_/\__/
*                                    /_/
*
*   Original Code by John Garrison
*   Written July 16,22,31 1999
*   To be released under the LGPL
*
*   PowerInput initialization and misc. routines
*
*   See LICENSE.TXT for more LGPL info
*/

#ifndef _PI_H
#define _PI_H

#ifdef __cplusplus
extern "C" {
#endif

#include "SDL/SDL.h"

extern SDL_Event Event;
extern int MOUSE_X, MOUSE_Y;

int PI_WaitEvent();
int PI_PollEvent();

#define PI_PollKeyboard() PI_PollEvent()
#define PI_PollMouse() PI_PollEvent()

#ifdef __cplusplus
};
#endif

#endif
