#ifdef __WIN32__
#include <windows.h>
#endif

#include "PowerPak/powerpak.h"
#include "PowerPak/powerdraw.h"

/* This fix was provided by Jesper Juul */
#ifdef __WIN32__
int WinMain(HINSTANCE hInstance,HINSTANCE hPrevInstance,LPSTR lpszCmdLine,int cmdShow)
{
main();
}
#endif

main(int argc, char *argv[])
{
   PD_Surface *surface;

   /* Initialize the library */
   PP_Init();
   PD_Init();

   /* Initialize 640x480x16bpp graphics mode */
   PD_SetGFXMode(640, 480, 32, PD_DEFAULT);

   /* Create the surface to draw on  */
   surface = PD_LoadImage("ex4.pcx");

   /* Copy the surface to screen with alpha */
   PD_Blit(surface, DoubleBuffer, 0, 0, 192, 112, 256, 256);

   /* Show the doublebuffer */
   PD_ShowDoubleBuffer();

   /* wait 5 seconds so you can see it */
   PP_Wait(5000);

   /* Cleanup */
   PD_Quit();
   PP_Quit();
}
